<?php namespace Romanah\Gokbakja\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableCreateRomanahGokbakjaAction extends Migration
{
    public function up()
    {
        Schema::create('romanah_gokbakja_action', function($table)
        {
            $table->engine = 'InnoDB';
            $table->increments('id')->unsigned();
            $table->timestamp('created_at')->nullable();
            $table->timestamp('updated_at')->nullable();
            $table->timestamp('deleted_at')->nullable();
            $table->string('type')->nullable();
            $table->integer('product_id');
            $table->integer('stock_id');
            $table->integer('user_id');
            $table->string('status_accountant')->nullable();
            $table->string('status_director')->nullable();
            $table->double('amount', 10, 0);
            $table->double('price', 10, 0)->nullable();
            $table->text('note')->nullable();
        });
    }
    
    public function down()
    {
        Schema::dropIfExists('romanah_gokbakja_action');
    }
}
